<?php


namespace Magetop\Advancepreview\Controller\Adminhtml\ProductPreview;


class Items extends \Magetop\Advancepreview\Controller\Adminhtml\ProductPreview
{
    public function execute()
    {
        $response = [
            'status'=>'error',
            'html'=>''
        ];
        try {
            $response['html'] = $this->_view->getLayout()->createBlock('Magetop\Advancepreview\Block\Adminhtml\Product\Edit\Form')->setTemplate('Magetop_Advancepreview::product/items.phtml')->toHtml();
            $response['status'] = 'success';
        }
        catch (\Exception $exception) {

        }
        return $this->getAjaxResponse($response);
    }
}
